summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
authorRhys Weatherley <rhys.weatherley@nokia.com>2009-06-22 23:54:49 (GMT)
committerRhys Weatherley <rhys.weatherley@nokia.com>2009-06-22 23:54:49 (GMT)
commit4360626c48c90b4d1928398b964679b3acde8cc4 (patch)
treed123c6b436b367be2104c4721af946ca2dc8277e /configure
parent308ed3913b406c43dfdab4fa734a332863dc4cbc (diff)
downloadQt-4360626c48c90b4d1928398b964679b3acde8cc4.zip
Qt-4360626c48c90b4d1928398b964679b3acde8cc4.tar.gz
Qt-4360626c48c90b4d1928398b964679b3acde8cc4.tar.bz2
Integrate the OpenVG graphics system into Qt 4.6
This change also moves the EGL support classes from QtOpenGL to QtGui so they can be shared between OpenGL and OpenVG.
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure131
1 files changed, 122 insertions, 9 deletions
diff --git a/configure b/configure
index e0b8b3e..a146175 100755
--- a/configure
+++ b/configure
@@ -588,6 +588,11 @@ CFG_XRANDR=runtime
CFG_XRENDER=auto
CFG_MITSHM=auto
CFG_OPENGL=auto
+CFG_OPENVG=no
+CFG_OPENVG_LC_INCLUDES=no
+CFG_OPENVG_SHIVA=no
+CFG_EGL=no
+CFG_EGL_GLES_INCLUDES=no
CFG_SSE=auto
CFG_FONTCONFIG=auto
CFG_QWS_FREETYPE=auto
@@ -888,6 +893,16 @@ while [ "$#" -gt 0 ]; do
VAL=$1
fi
;;
+ -openvg)
+ VAR=openvg
+ # this option may or may not be followed by an argument
+ if [ -z "$2" ] || echo "$2" | grep '^-' >/dev/null 2>&1; then
+ VAL=yes
+ else
+ shift;
+ VAL=$1
+ fi
+ ;;
-hostprefix)
VAR=`echo $1 | sed "s,^-\(.*\),\1,"`
# this option may or may not be followed by an argument
@@ -1132,6 +1147,13 @@ while [ "$#" -gt 0 ]; do
UNKNOWN_OPT=yes
fi
;;
+ openvg)
+ if [ "$VAL" = "auto" ] || [ "$VAL" = "yes" ] || [ "$VAL" = "no" ]; then
+ CFG_OPENVG="$VAL"
+ else
+ UNKNOWN_OPT=yes
+ fi
+ ;;
graphicssystem)
if [ "$PLATFORM_QWS" = "yes" ]; then
echo "Error: Graphics System plugins are not supported on QWS."
@@ -3480,7 +3502,12 @@ Qt/X11 only:
to force the use of the Desktop (OpenGL 1.x or 2.x),
OpenGL ES 1.x Common profile, 1.x Common Lite profile
or 2.x APIs instead. On X11, the EGL API will be used
- to manage GL contexts in the case of OpenGL ES.
+ to manage GL contexts in the case of OpenGL ES
+
+ -no-openvg ........ Do not support OpenVG.
+ + -openvg ........... Enable OpenVG support.
+ Requires EGL support, typically supplied by an OpenGL
+ or other graphics implementation.
$SMN -no-sm ............. Do not support X Session Management.
$SMY -sm ................ Support X Session Management, links in -lSM -lICE.
@@ -4685,6 +4712,27 @@ if [ "$PLATFORM_MAC" = "yes" -a ! -z "$QT_NAMESPACE" ]; then
fi
if [ "$PLATFORM_X11" = "yes" -o "$PLATFORM_QWS" = "yes" ]; then
+
+ # detect EGL support
+ if "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" "config.tests/unix/egl" "EGL (EGL/egl.h)" $L_FLAGS $I_FLAGS $l_FLAGS; then
+ # EGL specified by QMAKE_*_EGL, included with <EGL/egl.h>
+ CFG_EGL=yes
+ CFG_EGL_GLES_INCLUDES=no
+ elif "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" "config.tests/unix/egl4gles1" "EGL (GLES/egl.h)" $L_FLAGS $I_FLAGS $l_FLAGS; then
+ # EGL specified by QMAKE_*_EGL, included with <GLES/egl.h>
+ CFG_EGL=yes
+ CFG_EGL_GLES_INCLUDES=yes
+ fi
+ if ( [ "$CFG_OPENGL" = "es1" ] || [ "$CFG_OPENGL" = "es1cl" ] || [ "$CFG_OPENGL" = "es2" ] ) && [ "$CFG_EGL" != "yes" ] && [ "$PLATFORM_X11" = "yes" ]; then
+ echo "The EGL functionality test failed!"
+ echo " EGL is required for OpenGL ES on X11 to manage contexts & surfaces."
+ echo " You might need to modify the include and library search paths by editing"
+ echo " QMAKE_INCDIR_EGL, QMAKE_LIBDIR_EGL and QMAKE_LIBS_EGL in"
+ echo " ${XQMAKESPEC}."
+ exit 1
+ fi
+
+
# auto-detect Glib support
if [ "$CFG_GLIB" != "no" ]; then
if [ -n "$PKG_CONFIG" ]; then
@@ -4814,8 +4862,8 @@ if [ "$PLATFORM_X11" = "yes" ]; then
if [ $? != "0" ]; then
echo "The OpenGL ES 1.x Common Lite Profile functionality test failed!"
echo " You might need to modify the include and library search paths by editing"
- echo " QMAKE_INCDIR_OPENGL, QMAKE_LIBDIR_OPENGL and QMAKE_LIBS_OPENGL in"
- echo " ${XQMAKESPEC}."
+ echo " QMAKE_INCDIR_OPENGL, QMAKE_LIBDIR_OPENGL and QMAKE_LIBS_OPENGL in"
+ echo " ${XQMAKESPEC}."
exit 1
fi
elif [ "$CFG_OPENGL" = "es1" ]; then
@@ -4824,8 +4872,8 @@ if [ "$PLATFORM_X11" = "yes" ]; then
if [ $? != "0" ]; then
echo "The OpenGL ES 1.x functionality test failed!"
echo " You might need to modify the include and library search paths by editing"
- echo " QMAKE_INCDIR_OPENGL, QMAKE_LIBDIR_OPENGL and QMAKE_LIBS_OPENGL in"
- echo " ${XQMAKESPEC}."
+ echo " QMAKE_INCDIR_OPENGL, QMAKE_LIBDIR_OPENGL and QMAKE_LIBS_OPENGL in"
+ echo " ${XQMAKESPEC}."
exit 1
fi
elif [ "$CFG_OPENGL" = "es2" ]; then
@@ -4834,8 +4882,8 @@ if [ "$PLATFORM_X11" = "yes" ]; then
if [ $? != "0" ]; then
echo "The OpenGL ES 2.0 functionality test failed!"
echo " You might need to modify the include and library search paths by editing"
- echo " QMAKE_INCDIR_OPENGL, QMAKE_LIBDIR_OPENGL and QMAKE_LIBS_OPENGL in"
- echo " ${XQMAKESPEC}."
+ echo " QMAKE_INCDIR_OPENGL, QMAKE_LIBDIR_OPENGL and QMAKE_LIBS_OPENGL in"
+ echo " ${XQMAKESPEC}."
exit 1
fi
elif [ "$CFG_OPENGL" = "desktop" ]; then
@@ -4844,8 +4892,8 @@ if [ "$PLATFORM_X11" = "yes" ]; then
if [ $? != "0" ]; then
echo "The OpenGL functionality test failed!"
echo " You might need to modify the include and library search paths by editing"
- echo " QMAKE_INCDIR_OPENGL, QMAKE_LIBDIR_OPENGL and QMAKE_LIBS_OPENGL in"
- echo " ${XQMAKESPEC}."
+ echo " QMAKE_INCDIR_OPENGL, QMAKE_LIBDIR_OPENGL and QMAKE_LIBS_OPENGL in"
+ echo " ${XQMAKESPEC}."
exit 1
fi
case "$PLATFORM" in
@@ -5500,6 +5548,33 @@ if [ "$CFG_OPENSSL" != "no" ]; then
fi
fi
+# detect OpenVG support
+if [ "$CFG_OPENVG" != "no" ]; then
+ if "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" "config.tests/unix/openvg" "OpenVG" $L_FLAGS $I_FLAGS $l_FLAGS $CONFIG_ARG; then
+ if [ "$CFG_OPENVG" = "auto" ]; then
+ CFG_OPENVG=yes
+ fi
+ elif "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG lower_case_includes" $OPT_VERBOSE "$relpath" "$outpath" "config.tests/unix/openvg" "OpenVG (lc includes)" $L_FLAGS $I_FLAGS $l_FLAGS $CONFIG_ARG; then
+ if [ "$CFG_OPENVG" = "auto" ]; then
+ CFG_OPENVG=yes
+ fi
+ CFG_OPENVG_LC_INCLUDES=yes
+ else
+ if [ "$CFG_OPENVG" != "auto" ] && [ "$CFG_CONFIGURE_EXIT_ON_ERROR" = "yes" ]; then
+ echo "$CFG_OPENVG was specified for OpenVG but cannot be enabled due to functionality tests!"
+ echo " Turn on verbose messaging (-v) to $0 to see the final report."
+ echo " If you believe this message is in error you may use the continue"
+ echo " switch (-continue) to $0 to continue."
+ exit 101
+ else
+ CFG_OPENVG=no
+ fi
+ fi
+ if [ "$CFG_OPENVG" == "yes" ] && "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" "config.tests/unix/shivavg" "ShivaVG" $L_FLAGS $I_FLAGS $l_FLAGS $CONFIG_ARG; then
+ CFG_OPENVG_SHIVA=yes
+ fi
+fi
+
if [ "$CFG_PTMALLOC" != "no" ]; then
# build ptmalloc, copy .a file to lib/
echo "Building ptmalloc. Please wait..."
@@ -5629,6 +5704,30 @@ else
QT_CONFIG="$QT_CONFIG accessibility"
fi
+# enable egl
+if [ "$CFG_EGL" = "no" ]; then
+ QCONFIG_FLAGS="$QCONFIG_FLAGS QT_NO_EGL"
+else
+ QT_CONFIG="$QT_CONFIG egl"
+ if [ "$CFG_EGL_GLES_INCLUDES" = "yes" ]; then
+ QCONFIG_FLAGS="$QCONFIG_FLAGS QT_GLES_EGL"
+ fi
+fi
+
+# enable openvg
+if [ "$CFG_OPENVG" = "no" ]; then
+ QCONFIG_FLAGS="$QCONFIG_FLAGS QT_NO_OPENVG"
+else
+ QT_CONFIG="$QT_CONFIG openvg"
+ if [ "$CFG_OPENVG_LC_INCLUDES" = "yes" ]; then
+ QCONFIG_FLAGS="$QCONFIG_FLAGS QT_LOWER_CASE_VG_INCLUDES"
+ fi
+ if [ "$CFG_OPENVG_SHIVA" = "yes" ]; then
+ QT_CONFIG="$QT_CONFIG shivavg"
+ QCONFIG_FLAGS="$QCONFIG_FLAGS QT_SHIVAVG"
+ fi
+fi
+
# enable opengl
if [ "$CFG_OPENGL" = "no" ]; then
QCONFIG_FLAGS="$QCONFIG_FLAGS QT_NO_OPENGL"
@@ -6971,6 +7070,20 @@ elif [ "$CFG_OPENGL" = "es2" ]; then
else
echo "OpenGL support ...... no"
fi
+if [ "$CFG_EGL" != "no" ]; then
+ if [ "$CFG_EGL_GLES_INCLUDES" != "no" ]; then
+ echo "EGL support ......... yes <GLES/egl.h>"
+ else
+ echo "EGL support ......... yes <EGL/egl.h>"
+ fi
+fi
+if [ "$CFG_OPENVG" ]; then
+ if [ "$CFG_OPENVG_SHIVA" = "yes" ]; then
+ echo "OpenVG support ...... ShivaVG"
+ else
+ echo "OpenVG support ...... $CFG_OPENVG"
+ fi
+fi
if [ "$PLATFORM_X11" = "yes" ]; then
echo "NAS sound support ... $CFG_NAS"
echo "XShape support ...... $CFG_XSHAPE"